Upgrade Thanks icon
Closed, ResolvedPublic

Description

Thanks uses an outdated PNG for an icon graphic. It also has issues with alignment.
Let's modernise this to an SVG to avoid this problem.

Acceptance criteria

  • Use mw-ui-icon for generating the icon
  • Update icon to new asset

  • Remove CSS code in MobileFrontend that workarounds the lack of usage of mw-ui-icon

QA steps

General QA of the thanks on diff feature - make sure you are happy with the icon and the behaviour.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2018, 10:59 PM
Jdlrobson updated the task description. (Show Details)
ovasileva triaged this task as Normal priority.

@Etonkovidova the fix for T198151 introduced some technical debt which I'm keen to remove (see third acceptance criteria) and having spoken to a few designers it looks like the icon is incorrect.
Newly proposed icon is this (but in white):

Change 440258 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Thanks@master] Do not use png for thanks button

https://gerrit.wikimedia.org/r/440258

Jdlrobson updated the task description. (Show Details)Jun 27 2018, 11:41 PM
Jdlrobson added subscribers: alexhollender, Volker_E.

@alexhollender can you and @Volker_E confirm you are happy with the asset change?

I've been asking on the patch if the icon change is willingly done?
When looking at the location and the use case, your choice, @Jdlrobson, makes sense to me – it's even better than before as the result is signified with the same icon.


Only small restriction is that it's a rather complex icon for a button. But as this is a very special, rare use case, I'm for it.

Vvjjkkii renamed this task from Upgrade Thanks icon to 4aaaaaaaaa.Jul 1 2018, 1:01 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
JJMC89 renamed this task from 4aaaaaaaaa to Upgrade Thanks icon.Jul 1 2018, 3:04 AM
JJMC89 lowered the priority of this task from High to Normal.
JJMC89 updated the task description. (Show Details)
JJMC89 added a subscriber: Aklapper.

Change 440258 merged by jenkins-bot:
[mediawiki/extensions/Thanks@master] Do not use PNG for thanks button

https://gerrit.wikimedia.org/r/440258

Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 9 2018, 10:37 PM
Jdlrobson updated the task description. (Show Details)Aug 9 2018, 10:39 PM

An old patch got merged so adding to the kanbana board to go through our process.
@alexhollender assigning to you for design review.

Jdlrobson updated the task description. (Show Details)Aug 9 2018, 10:42 PM
Etonkovidova closed this task as Resolved.Aug 10 2018, 5:30 PM

Checked with iOS and Android - works/looks as expected.

Just as a side note - the previous icon was visually consistent with the user icon: dark background and white face elements. Now, thanks icon has reverse - light background and dark face elements.


Etonkovidova updated the task description. (Show Details)Aug 10 2018, 5:31 PM